> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omniall.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate lyrics

> Create a Suno lyrics task.

**Path:** `POST https://api.omniall.ai/suno/submit/lyrics`

`prompt` is required. Poll with `GET /suno/fetch/{task_id}`.

Auth: `Authorization: Bearer sk-...`



## OpenAPI

````yaml openapi/suno-audio.yaml POST /suno/submit/lyrics
openapi: 3.1.0
info:
  title: Omniall AI — Suno music
  version: 1.0.0
  description: >-
    Suno async music & lyrics.


    **Create:** `POST https://api.omniall.ai/suno/submit/music` · `POST
    /suno/submit/lyrics`


    **Poll:** `GET /suno/fetch/{task_id}` · batch `POST /suno/fetch`


    Billing model ids: `suno_music`, `suno_lyrics` (see [Model
    Square](https://omniall.ai/pricing)).


    Auth: `Authorization: Bearer sk-...`
servers:
  - url: https://api.omniall.ai
security: []
paths:
  /suno/submit/lyrics:
    post:
      tags:
        - Suno
      summary: Generate lyrics
      description: |-
        Create a Suno lyrics task.

        **Path:** `POST https://api.omniall.ai/suno/submit/lyrics`

        `prompt` is required. Poll with `GET /suno/fetch/{task_id}`.

        Auth: `Authorization: Bearer sk-...`
      operationId: sunoCreateLyrics
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            example: Bearer sk-...
          description: Bearer API key, e.g. `Bearer sk-...`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - prompt
              properties:
                prompt:
                  type: string
                  description: Theme / idea for lyrics.
                  example: A quiet song about leaving a coastal town at dawn
            examples:
              lyrics:
                summary: Generate lyrics
                value:
                  prompt: A quiet song about leaving a coastal town at dawn
      responses:
        '200':
          description: Task accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SunoSubmitResponse'
              example:
                code: success
                message: ''
                data: task_xxxxxxxx
components:
  schemas:
    SunoSubmitResponse:
      type: object
      properties:
        code:
          type: string
          example: success
        message:
          type: string
        data:
          type: string
          description: Public task id (`task_xxxx`).
          example: task_xxxxxxxx

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.